
local deformat = AceLibrary("Deformat-2.0")
local BB = AceLibrary("Babble-Boss-2.2")

function TuiRaidTracker:Id2Boss(id)
    if not id then return "" end
    return BB:GetTranslation(id)
end

function TuiRaidTracker:CHAT_MSG_COMBAT_HOSTILE_DEATH(chatstring)  
    local mob = deformat(chatstring, UNITDIESOTHER)
     
    if mob and BB:HasReverseTranslation(mob) then
        local eng_mob = BB:GetReverseTranslation(mob) 
    --    local mobid = mobs[eng_mob];
        local mobid = eng_mob
        
        self:Debug("Boss killed: ",mob," (",mobid,")")
        if mobid then
            table.insert(self.cr.kills, { time(), mobid })
            TuiRaidTracker:UpdateDisplay()
        end
    end
    
end