<?

#
# a bit more advanced script that uses extended itemstats
#

define("ITEMSTATS","../itemstats/itemstats.php");

if (get_magic_quotes_gpc())
{
	$_POST['data'] = stripcslashes($_POST['data']);
}

?>

<html>
<head>
<title>TuiRaidTracker</title>
<style type="text/css">
<!--
.wowitemt
{
	background-color: #000000;
	text-align: left;
	width: 385px;
	border-top: 1px;
	border-right: 1px;
	border-bottom: 1px;
	border-left: 1px;
	border-color: #B08617;
	border-style: ridge;
}

.wowrttxt {
  display: compact;
  position: absolute;
  text-align: right;
  right: 3px;
  top: inherit;
}

/* Default link colors for the whole frame */
.wowitemt a:link, .wowitemt a:visited, .wowitemt a:active { color: #FFB019; text-decoration: none; font-weight: normal }
.wowitemt a:hover { color: #FFB019; text-decoration: underline; font-weight: normal }

.wowitemt td
{
	font-family: Tahoma;
	font-size: 12px;
	color: #FFFFFF;
}

/* Item icon stuff */
.itemicon { width: 40px; height: 40px; }
.smallitemicon { width: 20px; height: 20px; }

/* Item colors */
.redname,    .item_q6 { color: #FF0000; font-weight: bold; }
.orangename, .item_q5 { color: #FF8000; font-weight: bold; }
.purplename, .item_q4 { color: #A335EE; font-weight: bold; }
.bluename,   .item_q3 { color: #0070DD; font-weight: bold; }
.greenname,  .item_q2 { color: #1EFF00; font-weight: bold; }
.whitename,  .item_q1 { color: #FFFFFF; font-weight: bold; }
.greyname              { color: #9D9D9D; font-weight: bold; }

/* Item link (Name of items on ViewItem page) */
a:link.itemlink, a:visited.itemlink, a:active.itemlink { text-decoration: none; }
a:hover.itemlink { text-decoration: none; }

/* Forum link */
a:link.forumitemlink, a:visited.forumitemlink, a:active.forumitemlink { text-decoration: none; font-weight: normal }
a:hover.forumitemlink { text-decoration: none; font-weight: normal }

/* Armor set info link */
.setbonus { color: #1EFF00; font-weight: normal; }
a:link.setbonus, a:visited.setbonus, a:active.setbonus { text-decoration: none; font-weight: normal; color: #1EFF00; }
a:hover.setbonus { text-decoration: underline; font-weight: normal; color: #1EFF00; }
.set { text-decoration: none; font-weight: normal; color: #FFA500; }
a:link.set, a:visited.set, a:active.set { text-decoration: none; font-weight: normal; color: #FFA500; }
a:hover.set { text-decoration: underline; font-weight: normal; color: #FFA500; }

/* Item effects */
.itemeffectlink, .itemspells { color: #1EFF00; font-weight: normal; }
a:link.itemeffectlink, a:visited.itemeffectlink, a:active.itemeffectlink { text-decoration: none; font-weight: normal; color: #1EFF00; }
a:hover.itemeffectlink { text-decoration: underline; font-weight: normal; color: #1EFF00; }

/* Refresh link */
a:link.itemrefresh, a:visited.itemrefresh, a:active.itemrefresh { text-decoration: none; font-weight: normal; font-size: x-small }
a:hover.itemrefresh { text-decoration: none; font-weight: normal; font-size: x-small }

/* Item Create link, used for certain recipes */
a:link.itemcreatelink, a:visited.itemcreatelink, a:active.itemcreatelink { text-decoration: none; font-weight: normal; color: #1EFF00; }
a:hover.itemcreatelink { text-decoration: underline; font-weight: normal; color: #1EFF00; }

/* Item Description Text */
.itemdesc, .goldtext { color: #FFA500; }

/* Allakhazam credits stuff */
.akznotice a:link, .akznotice a:visited, .akznotice a:active { text-decoration: underline; font-weight: normal; color: #FFFFFF; }
.akznotice a:hover { text-decoration: underline; font-weight: normal }
.akznotice {  display: none;  color: #FFFFFF; font-size: smaller; text-align: center; background-color: #0B0B0B; }
//-->
</style>
</head>
<body>

<form action="tuiraidtracker_itemstats.php" method="POST">
<input type='text' name="data" value="<?=$_POST['data']?>">
<input type='submit'>
</form>

<?

function cmp($a, $b)
{
	if ($a['time']>$b['time']) return 1;
	elseif ($a['time']==$b['time']) return 0;
	else return -1;
}


if ($_POST['data'])
{
	$events = array();
	
	require(ITEMSTATS);
	
	$data = explode("#!#", $_POST['data']);
	
	foreach( $data as $row )
	{
		$row = explode("#",$row);
		$type = array_shift($row);
		$itemstats = new ItemStats();
		
		switch ($type)
		{
			case "start": 
				$start = $row[0]; 
				break;
			case "players":
				$players = array();
				foreach($row as $x)
				{
					list($key,$value) = explode(":",$x,2);
					$players[$key] = $value;
				}
				break;
			case "loot":
				foreach ($row as $x)
				{
					list($p,$id,$count,$t,$dkp) = explode(":",$x,5);
					$d = "Player: ".$players[$p]." | ItemID: $id | Count: $count | DKP: $dkp";
					
					if($is = $itemstats->getItemInfoById($id,true))
					{
						$html = $is['item_html'];
					}
					
					$events[]=array('time'=> $t+$start,'type'=>$type,'data'=>$d,'id'=>$id,'html' => $html);
				}
				break;
			case "kills":
			case "zones":				
				foreach ($row as $x)
				{
					list($t,$d) = explode(":",$x,2);
					$events[]=array('time'=> $t+$start,'type'=>$type,'data'=>$d);
				}
				break;

			case "joins":
			case "leaves":
				foreach ($row as $x)
				{
					list($t,$d) = explode(":",$x,2);
					$events[]=array('time'=>$t+$start,'type'=>$type,'data'=>$players[$d]);
				}
				break;
			
		}
		#print "$type:<pre>".print_r($row,1)."</pre>";
	}
	
	uasort($events,"cmp");
	
	print "<table border='1'>";
	
	foreach ($events as $e)
	{
		$time = date("y/m/d H:i",$e['time']);
		$type = $e['type'];
		$data = $e['data'];
		if ($e['html']) $data.="<div style='float:right'>$e[html]</div>";
		print "<tr><td>$time</td><td>$type</td><td>$data</td></tr>";
	}
	
	print "</table>";
	
	#print "<pre>".print_r($events,1)."</pre>";
}
?>
</body>
</html>